Bug 240306 - security/openvpn: switch to POSIX-compatible regex
Summary: security/openvpn: switch to POSIX-compatible regex
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Matthias Andree
URL:
Keywords:
Depends on:
Blocks: 229925
  Show dependency treegraph
 
Reported: 2019-09-03 17:07 UTC by Kyle Evans
Modified: 2019-09-06 18:17 UTC (History)
1 user (show)

See Also:
mandree: maintainer-feedback+


Attachments
svn(1) diff against the ports tree (2.46 KB, patch)
2019-09-03 17:07 UTC, Kyle Evans
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle Evans freebsd_committer 2019-09-03 17:07:48 UTC
Created attachment 207150 [details]
svn(1) diff against the ports tree

(This PR also contains the same patch for openvpn-mbedtls; lumping together )

A test run with PR 229925 reveals one sed expression that uses the GNU-extension "\s". Given that this is the only occurrence and it's a trivial fix, update it to be POSIX-compatible.

Some assistance with upstreaming this patch would be appreciated. =-) security/openvpn-devel also requires it, but I'm pushing that one into a separate PR since mandree@ does not maintain that one.
Comment 1 Matthias Andree freebsd_committer 2019-09-04 16:51:56 UTC
Kyle, thanks for the suggestion, will look at it tomorrow-ish or on Friday.
Comment 2 commit-hook freebsd_committer 2019-09-06 18:16:56 UTC
A commit references this bug:

Author: mandree
Date: Fri Sep  6 18:16:54 UTC 2019
New revision: 511348
URL: https://svnweb.freebsd.org/changeset/ports/511348

Log:
  Fix a sed regexp from GNUism to POSIX.

  Thanks!

  Also sent upstream for inclusion today,
  https://sourceforge.net/p/openvpn/mailman/message/36757480/ and
  https://sourceforge.net/p/openvpn/mailman/message/36757481/

  PR:		240306
  Submitted by:	kevans@

Changes:
  head/security/openvpn/files/patch-configure
  head/security/openvpn/files/patch-libressl
  head/security/openvpn/files/patch-src_openvpn_openssl__compat.h
  head/security/openvpn/files/patch-tests_t__lpback.sh
Comment 3 Matthias Andree freebsd_committer 2019-09-06 18:17:50 UTC
Approved of & committed. The patch for security/openvpn gets picked up by security/openvpn-mbedtls automatically by means of the master/slave port relationship.